Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class UpdateResourceType

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.UpdateResourceType

    public class UpdateResourceType

extends java.lang.Object

Constructor Summary
`UpdateResourceType()`

Method Summary
`java.util.List<EntityReferenceQualified>` | `getAddCapabilityArray()`
`java.util.List<EntityReferenceDateRange>` | `getAddGroupArray()`
`java.util.List<EntityReferenceDateRange>` | `getAddPositionArray()`
`java.lang.String` | `getGuid()`
`LdapReference` | `getLdapReference()`
`java.util.List<EntityReference>` | `getRemoveCapabilityArray()`
`java.util.List<EntityReference>` | `getRemoveGroupArray()`
`java.util.List<EntityReference>` | `getRemovePositionArray()`
`java.util.List<EntityReferenceAttributes>` | `getSetAttributeArray()`
`DateRangeAttribute` | `getSetDateRange()`
`OptionalStringAttribute` | `getSetLabel()`
`OptionalEntityReference` | `getSetLocation()`
`StringAttribute` | `getSetName()`
`void` | `setAddCapabilityArray(java.util.List<EntityReferenceQualified> addCapabilityArray)`
`void` | `setAddGroupArray(java.util.List<EntityReferenceDateRange> addGroupArray)`
`void` | `setAddPositionArray(java.util.List<EntityReferenceDateRange> addPositionArray)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setLdapReference(LdapReference ldapReference)`
`void` | `setRemoveCapabilityArray(java.util.List<EntityReference> removeCapabilityArray)`
`void` | `setRemoveGroupArray(java.util.List<EntityReference> removeGroupArray)`
`void` | `setRemovePositionArray(java.util.List<EntityReference> removePositionArray)`
`void` | `setSetAttributeArray(java.util.List<EntityReferenceAttributes> setAttributeArray)`
`void` | `setSetDateRange(DateRangeAttribute setDateRange)`
`void` | `setSetLabel(OptionalStringAttribute setLabel)`
`void` | `setSetLocation(OptionalEntityReference setLocation)`
`void` | `setSetName(StringAttribute setName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateResourceType

    public UpdateResourceType()

Method Detail

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### getSetName

    public StringAttribute getSetName()

### setSetName

    public void setSetName(StringAttribute setName)

### getSetLabel

    public OptionalStringAttribute getSetLabel()

### setSetLabel

    public void setSetLabel(OptionalStringAttribute setLabel)

### getSetDateRange

    public DateRangeAttribute getSetDateRange()

### setSetDateRange

    public void setSetDateRange(DateRangeAttribute setDateRange)

### getLdapReference

    public LdapReference getLdapReference()

### setLdapReference

    public void setLdapReference(LdapReference ldapReference)

### getSetLocation

    public OptionalEntityReference getSetLocation()

### setSetLocation

    public void setSetLocation(OptionalEntityReference setLocation)

### getAddPositionArray

    public java.util.List<EntityReferenceDateRange> getAddPositionArray()

### setAddPositionArray

    public void setAddPositionArray(java.util.List<EntityReferenceDateRange> addPositionArray)

### getRemovePositionArray

    public java.util.List<EntityReference> getRemovePositionArray()

### setRemovePositionArray

    public void setRemovePositionArray(java.util.List<EntityReference> removePositionArray)

### getAddGroupArray

    public java.util.List<EntityReferenceDateRange> getAddGroupArray()

### setAddGroupArray

    public void setAddGroupArray(java.util.List<EntityReferenceDateRange> addGroupArray)

### getRemoveGroupArray

    public java.util.List<EntityReference> getRemoveGroupArray()

### setRemoveGroupArray

    public void setRemoveGroupArray(java.util.List<EntityReference> removeGroupArray)

### getAddCapabilityArray

    public java.util.List<EntityReferenceQualified> getAddCapabilityArray()

### setAddCapabilityArray

    public void setAddCapabilityArray(java.util.List<EntityReferenceQualified> addCapabilityArray)

### getRemoveCapabilityArray

    public java.util.List<EntityReference> getRemoveCapabilityArray()

### setRemoveCapabilityArray

    public void setRemoveCapabilityArray(java.util.List<EntityReference> removeCapabilityArray)

### getSetAttributeArray

    public java.util.List<EntityReferenceAttributes> getSetAttributeArray()

### setSetAttributeArray

    public void setSetAttributeArray(java.util.List<EntityReferenceAttributes> setAttributeArray)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.